Broodje_Settings = {
	MinimapPos = 45 -- default position of the minimap icon in degrees
}


function maakvoedsel()
SortWho(name);
end

function Broodje_MinimapButton_Reposition()
	Broodje_MinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(Broodje_Settings.MinimapPos)),(80*sin(Broodje_Settings.MinimapPos))-52)
end

-- Only while the button is dragged this is called every frame
function Broodje_MinimapButton_DraggingFrame_OnUpdate()

	local xpos,ypos = GetCursorPosition()
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom()

	xpos = xmin-xpos/UIParent:GetScale()+70 -- get coordinates as differences from the center of the minimap
	ypos = ypos/UIParent:GetScale()-ymin-70

	Broodje_Settings.MinimapPos = math.deg(math.atan2(ypos,xpos)) -- save the degrees we are relative to the minimap center
	Broodje_MinimapButton_Reposition() -- move the button
end

-- Put your code that you want on a minimap button click here.  arg1="LeftButton", "RightButton", etc
function Broodje_MinimapButton_OnClick()
	Frame1:Show();
end

function Broodje_CheckStats()
local playerClass, englishClass = UnitClass("player");
local playerLevel = tonumber(UnitLevel("player"));
if englishClass == "MAGE" and playerLevel >= 70 then
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. All functions have been loaded.");
elseif englishClass == "MAGE" and playerLevel < 70 then
Frame1ButtonTableBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. Because you haven't reached level 70 yet, you can't use the table function yet.");
else
Frame1ButtonFoodBuff:Disable();
Frame1ButtonDrinkBuff:Disable();
Frame1ButtonTableBuff:Disable();
DEFAULT_CHAT_FRAME:AddMessage("Welcome to StrudelStore. All functions have been disabled. Please logon to a Mage character to enable them.");
end
end
